﻿// © 2019 ABBYY Development Inc.
// SAMPLES code is property of ABBYY, exclusive rights are reserved. 
//
// DEVELOPER is allowed to incorporate SAMPLES into his own APPLICATION and modify it under 
// the  terms of  License Agreement between  ABBYY and DEVELOPER.

// ABBYY FineReader Engine 12 Sample

// Implementation of FREngine::IScanCallback interfaces.

namespace Scanning
{
	class ScanningCallback :FREngine.IScanCallback
	{
		public ScanningCallback(ScanningForm _form)
		{
			form = _form;
		}

		public void OnError(string sourceName, string message)
		{
			form.ReportError( message );
		}

		public void OnImageScanned(string sourceName, string Path, ref bool cancel)
		{
			form.OnImageScanned( Path );
		}

		public void OnScanComplete()
		{
			form.CompleteScan();
		}

		private ScanningForm form;
	}
}
